/*
**  SDLSystem.h
**
**  Copyright (c) 2002, 2003
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**          Part of the code is taken from playsound in SDL_sound
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU Lesser General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _Musicbox_ShengGuang_H_SDLSystem_SDLSystem
#define _Musicbox_ShengGuang_H_SDLSystem_SDLSystem

#include <Foundation/NSObject.h>
#include <ShengGuang/SGSystemProtocol.h>

enum player_control {
  PLAYER_CONTROL_STOP,
  PLAYER_CONTROL_PAUSE,
  PLAYER_CONTROL_REPLAY,
  PLAYER_CONTROL_RESUME
};

@interface SDLSystem: NSObject <SGSystemProtocol>
{
  id _delegate;
  NSString *filePath;
}

- (void) setController: (enum player_control) aControl;

@end

@interface NSObject (SDLSystem)
- (void) soundFinishPlaying;
@end

#endif /* _Musicbox_ShengGuang_H_SDLSystem_SDLSystem */
